summaryrefslogtreecommitdiffstats
path: root/sanity/system_light/scripts/read_large/read_large_run.sh
diff options
context:
space:
mode:
authorRaghavendra Bhat <raghavendrabhat@gluster.com>2012-01-25 13:59:36 +0530
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2012-02-06 11:09:26 +0530
commit9d36eca70a458c736e44fd8eb9184415ec45f1e6 (patch)
treef996594e813e6e4bce6fe77c31c8fe4758b2647d /sanity/system_light/scripts/read_large/read_large_run.sh
parent01a77a1ae18d9add01f893e06e58191b065602e8 (diff)
system_light: changes to have modularity in running tests
Till now this script allowed running all the tools (or exit for the first failure). Running individual tools was not possible. Now individual tools can be given as an argument to run. Change-Id: Ia133943667ad4dc30956f4a021f2edfc30458cee Signed-off-by: Raghavendra Bhat <raghavendrabhat@gluster.com>
Diffstat (limited to 'sanity/system_light/scripts/read_large/read_large_run.sh')
-rwxr-xr-xsanity/system_light/scripts/read_large/read_large_run.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/sanity/system_light/scripts/read_large/read_large_run.sh b/sanity/system_light/scripts/read_large/read_large_run.sh
new file mode 100755
index 0000000..457581f
--- /dev/null
+++ b/sanity/system_light/scripts/read_large/read_large_run.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+function main()
+{
+ dd if=/dev/zero of=$PWD/$OF bs=$BS_SIZE count=$DD_CNT;
+
+ echo "start:`date +%T`"
+ time cat $LARGE_FILE_SOURCE > $LARGE_FILE_DEST 2>>$LOG_FILE 1>>$LOG_FILE
+
+ if [ $? -ne 0 ]; then
+ echo "end:`date +%T`"
+ return 11;
+ else
+ echo "end:`date +%T`"
+ return 0;
+ fi
+}
+
+main "$@"; \ No newline at end of file